- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files
- Directories
- Examples

- Class List
- Class Hierarchy
- Class Members

Signals | Public Member Functions | Protected Member Functions | Properties | Friends

# QDesktopWidget Class Reference

Search for all occurrences

## Detailed Description

Definition at line 56 of file qdesktopwidget.h.

`#include <qdesktopwidget.h>`

Inheritance diagram for QDesktopWidget:
[legend]

List of all members.

## Signals
void | resized (int)
void | workAreaResized (int)
void | screenCountChanged (int)
## Public Member Functions
| QDesktopWidget ()
| ~QDesktopWidget ()
bool | isVirtualDesktop () const
int | numScreens () const
int | screenCount () const
int | primaryScreen () const
int | screenNumber (const QWidget *widget=0) const
int | screenNumber (const QPoint &) const
QWidget * | screen (int screen=-1)
const QRect | screenGeometry (int screen=-1) const
const QRect | screenGeometry (const QWidget *widget) const
const QRect | screenGeometry (const QPoint &point) const
const QRect | availableGeometry (int screen=-1) const
const QRect | availableGeometry (const QWidget *widget) const
const QRect | availableGeometry (const QPoint &point) const
## Protected Member Functions
void | resizeEvent (QResizeEvent *e)
## Properties
bool | virtualDesktop
int | screenCount
int | primaryScreen
## Friends
class | QApplication
class | QApplicationPrivate

## Constructor & Destructor Documentation

QDesktopWidget | ( |  | ) |

~QDesktopWidget | ( |  | ) |

## Member Function Documentation

bool isVirtualDesktop | ( |  | ) | const

Search for all occurrences

int numScreens | ( |  | ) | const

Search for all occurrences

int screenCount | ( |  | ) | const

Search for all occurrences

int primaryScreen | ( |  | ) | const

Search for all occurrences

int screenNumber | ( | const QWidget * | widget = `0` | ) | const

Search for all occurrences

int screenNumber | ( | const QPoint & |  | ) | const

Search for all occurrences

QWidget* screen | ( | int | screen = `-1` | ) |

Search for all occurrences

const QRect screenGeometry | ( | int | screen = `-1` | ) | const

Search for all occurrences

const QRect screenGeometry | ( | const QWidget * | widget | ) | const

Search for all occurrences

const QRect screenGeometry | ( | const QPoint & | point | ) | const `[inline]`

Search for all occurrences

Definition at line 79 of file qdesktopwidget.h.

        { return screenGeometry(screenNumber(point)); }

const QRect availableGeometry | ( | int | screen = `-1` | ) | const

Search for all occurrences

const QRect availableGeometry | ( | const QWidget * | widget | ) | const

Search for all occurrences

const QRect availableGeometry | ( | const QPoint & | point | ) | const `[inline]`

Search for all occurrences

Definition at line 84 of file qdesktopwidget.h.

        { return availableGeometry(screenNumber(point)); }

void resized | ( | int |  | ) | `[signal]`

Search for all occurrences

void workAreaResized | ( | int |  | ) | `[signal]`

Search for all occurrences

void screenCountChanged | ( | int |  | ) | `[signal]`

Search for all occurrences

void resizeEvent | ( | QResizeEvent * | e | ) | `[protected, virtual]`

Search for all occurrences

Reimplemented from QWidget.

## Friends And Related Function Documentation

friend class QApplication `[friend]`

Search for all occurrences

Reimplemented from QWidget.

Definition at line 99 of file qdesktopwidget.h.

friend class QApplicationPrivate `[friend]`

Search for all occurrences

Reimplemented from QWidget.

Definition at line 100 of file qdesktopwidget.h.

## Property Documentation

bool virtualDesktop `[read]`

Search for all occurrences

Definition at line 59 of file qdesktopwidget.h.

int screenCount `[inline, read]`

Search for all occurrences

Definition at line 60 of file qdesktopwidget.h.

int primaryScreen `[read]`

Search for all occurrences

Definition at line 61 of file qdesktopwidget.h.

The documentation for this class was generated from the following file:

- QtGui/qdesktopwidget.h

QDesktopWidget QDesktopWidget QDesktopWidget QDesktopWidget QDesktopWidget QDesktopWidget QDesktopWidget QDesktopWidget QDesktopWidget QDesktopWidget
QDesktopWidget QDesktopWidget QDesktopWidget QDesktopWidget QDesktopWidget QDesktopWidget QDesktopWidget QDesktopWidget QDesktopWidget QDesktopWidget